/*
    dlgpasswordimpl.h

    Copyright (c) 2006 by Xavier Facq

    gpureftpd (c) 2006 by the gpureftpd developers

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/


#ifndef DLGPASSWORDIMPL_H
#define DLGPASSWORDIMPL_H

#include "dlgpassword.h"

class DlgPasswordImpl: public DlgPassword
{
Q_OBJECT
public:
    DlgPasswordImpl(QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0);

	void setEncodedPassword(QString s);
	QString* getEncodedPassword();

public slots:
	void accept();
	void reject();
	void somethingChangeSomewhere(const QString& newText);

protected:
	bool m_SomethingHaveChanged;
	QString* m_EncodedPassword;
	QString encode(QString pwd);
};

#endif
